opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
opensaml::saml1::StatementBuilder Class Reference

Builder for Statement extension objects. More...

`#include <saml/saml1/core/Assertions.h>`

Inheritance diagram for opensaml::saml1::StatementBuilder:

## Public Member Functions
virtual xmltooling::XMLObject * | buildObject (const XMLCh *nsURI, const XMLCh *localName, const XMLCh *prefix=nullptr, const xmltooling::QName *schemaType=nullptr) const
| Builder that allows element/type override. More...

## Static Public Member Functions
static Statement * | buildStatement (const xmltooling::QName &schemaType)
| Singleton builder. More...

## Detailed Description

Builder for Statement extension objects.

This is customized to force the schema type to be specified.

## Member Function Documentation

virtual xmltooling::XMLObject* opensaml::saml1::StatementBuilder::buildObject | ( | const XMLCh * | nsURI,
|  | const XMLCh * | localName,
|  | const XMLCh * | prefix = `nullptr`,
|  | const xmltooling::QName * | schemaType = `nullptr`
| ) |  | const
| virtual

Builder that allows element/type override.

static Statement* opensaml::saml1::StatementBuilder::buildStatement | ( | const xmltooling::QName & | schemaType | ) |
| inline static

Singleton builder.

The documentation for this class was generated from the following file:

- saml/saml1/core/Assertions.h